Mail archive
alpine-aports

[alpine-aports] [PATCH] main/btrfs-progs: upgrade to 4.2

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Sat, 12 Sep 2015 17:59:55 +0200

---
 main/btrfs-progs/APKBUILD | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)
diff --git a/main/btrfs-progs/APKBUILD b/main/btrfs-progs/APKBUILD
index 812310c..8b208d3 100644
--- a/main/btrfs-progs/APKBUILD
+++ b/main/btrfs-progs/APKBUILD
_at_@ -1,7 +1,7 @@
 # Contributor: Łukasz Jendrysik <scadu_at_yandex.com>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=btrfs-progs
-pkgver=4.1.2
+pkgver=4.2
 pkgrel=0
 pkgdesc="Tools for the btrfs"
 url="https://btrfs.wiki.kernel.org/"
_at_@ -11,9 +11,9 @@ depends=""
 makedepends="util-linux-dev bash attr-dev acl-dev e2fsprogs-dev zlib-dev
 	lzo-dev asciidoc xmlto linux-headers
 	autoconf automake libtool"
-install=
+install=""
 subpackages="$pkgname-doc $pkgname-dev"
-source="https://www.kernel.org/pub/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v${pkgver}.tar.xz
+source="https://www.kernel.org/pub/linux/kernel/people/kdave/${pkgname}/${pkgname}-v${pkgver}.tar.xz
 	includes.patch
 	musl-compat.patch"
 
_at_@ -42,7 +42,8 @@ build() {
 
 package() {
 	cd "$_builddir"
-	make prefix=/usr mandir=/usr/share/man DESTDIR="$pkgdir" install || return 1
+	make prefix=/usr mandir=/usr/share/man \
+		DESTDIR="$pkgdir" install || return 1
 }
 
 dev() {
_at_@ -50,12 +51,12 @@ dev() {
 	mv "$pkgdir"/usr/lib/*.so* "$subpkgdir"/usr/lib
 }
 
-md5sums="f6655ea42682487e1beca6c33b787a22  btrfs-progs-v4.1.2.tar.xz
+md5sums="74c9490ea0e23be6f5f57e437540e15b  btrfs-progs-v4.2.tar.xz
 a79fe97241a26ec2a4be9fc566fa8e29  includes.patch
 13aae8338d103c1bdfab26ee324cfe20  musl-compat.patch"
-sha256sums="62db60c6a0868afb6302112cea54c756873bc30b826696b167ec03ecd61b2f12  btrfs-progs-v4.1.2.tar.xz
+sha256sums="25233c3e94c52bf433e8749c17dad2acd8004c6dbc93e2bff9397c4e9fa58fbe  btrfs-progs-v4.2.tar.xz
 dc66938029c887fd29e69ce53f8acc8ac0f01fa49fede3b08c00f2f7acdb1f2a  includes.patch
 6ef4d5633aa715095610de3045187ba39daaf5518629eb4e6ef4e143fb486531  musl-compat.patch"
-sha512sums="dd159bcc3adb65efd4f612d75f5a6b30df8ad9fa06ef952dd03dac965256de37eab26f4cc2fb3840178403ccbb7368cae11638e27eadb9b1835b636c4b126e2e  btrfs-progs-v4.1.2.tar.xz
+sha512sums="ba322478c1ce4df5548a953de581053c9fb9d60d1626639dc543065847a0c92ea6712728479dcb59487e02ab6aaea9f688fe1e3ef5087517e55d346b02d36065  btrfs-progs-v4.2.tar.xz
 2040092c94096da283ca69ec0dd910ebd5329840df86e607226cc054e8b29112720c798b63f9630e35ed28c7c057bb433b09d8aec8df8c4793a6f1ecaa8be846  includes.patch
 c7634159e591bf969dad8fa51d48668c999de8efc8cb6ff26b7a047b27a8cd18b1a93494dbf6d584afcbc6e3f40ae98ea3a33d188ee16b06ad7eb564efccde9a  musl-compat.patch"
-- 
2.5.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Sep 12 2015 - 17:59:55 GMT